<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Groups list</title>
</head>
<body>
<h1>Groups:</h1>
<div>
    <form method="post">
        {%csrf_token%}
        {{form.as_p}}
        <button type="submit">Create</button>
    </form>
</div>
{%if not groups%}
<p>No group yet</p>
{%else%}
<ul>
    {%for group in groups%}
    <li>
        <p>{{group.name}}</p>
        <ul>
            {%for permission in group.permissions.all%}
            <li>
                {{permission.name}}
                {{permission.codename}}
            </li>
            {%endfor%}
        </ul>
    </li>
    {%endfor%}
</ul>
{%endif%}
</body>
</html>